import { httpApp } from "@/plugins/axiosApp";
import { useRouter } from "vue-router";

/** 登录 */
export function loginByUsername(loginInfo: {
  accountValue: string;
  password: string;
  rootOrgId: string;
}) {
  return httpApp.post("/api/ess/auth/login", loginInfo, {
    noErrorMessage: true,
  });
}

/** 登出 */
export function logout() {
  const router = useRouter();
  return httpApp.post("/api/ess/auth/logout").catch(() => {});
}
